## com.sun.appserv.util.cache.mbeans
Interface JmxLruCacheMBean

All Superinterfaces:
  JmxBaseCacheMBean

All Known Implementing Classes:
  JmxLruCache

    public interface JmxLruCacheMBean

extends JmxBaseCacheMBean

This interface defines the attributes exposed by the LruCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Method Summary
`Integer` `getLruListLength()` Returns the current lenght of the LRU list
`Integer` `getTrimCount()` Returns the number of entries that have been trimmed

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxBaseCacheMBean
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Method Detail

### getLruListLength

    Integer getLruListLength()

  Returns the current lenght of the LRU list

### getTrimCount

    Integer getTrimCount()

  Returns the number of entries that have been trimmed

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.